Safari 's gone all very frustratring

Discussion in 'Mac Basics and Help' started by Fishtalk, Nov 12, 2009.

  1. Fishtalk macrumors regular

    Joined:
    Oct 21, 2008
    #1
    Just opened my Safari (Yahoo browser) to be told that I need to up grade.
    I have Safari 1.3.2 (v312.6) and the new Safari 4 will not work with my OSX 10.3.9...... is there a later version of Safari that will work with
    the "new yahoo" damn them..... and Panther... if so where can I download it.

    Ok I've just checked it out and found that I can't, as the next version up from 1.3.2 needs Tiger
    Soooooo ! what is the best/ fastest/simplest/ up to date browser for Panther ( Camino 1.6.8 ????)
    also, How do i throw out my obsolete Safari so it wont take up space for nothing.
    Thanks
     
  2. BlueRevolution macrumors 603

    BlueRevolution

    Joined:
    Jul 26, 2004
    Location:
    Montreal, QC
    #2
    Camino might work, or you could try an older version of Firefox.

    You can't, and you don't want to. Safari uses WebKit, which is heavily integrated to OS X, and on which many other applications rely, including Mail, Dashboard, and a ton of third-party apps.
     
  3. mac-ho macrumors member

    #3
    I have the same message. I also have Opera and Camino. They will download to 10.3.9. I am waiting for the Quad to be shipped so for a temporary fix I bookmarked my home page. When I boot and get the moronic message I hit my bookmark. If you are not going to Upgrade your Apple soon, you can download Opera and Camino.:mad::mad::mad::mad:
     
  4. dandaman2 macrumors regular

    Joined:
    Aug 18, 2008
    #4
    erm.... have you considered a $30 SL upgrade? I guess you might have a PPC or some legacy apps that won't work on SL. Either way, you may want to consider a 3.x upgrade, which I think will work on both Panther and Yahoo; it will be found in apple.com/support, you'll just have to dig through manual update files.
     
  5. Fishtalk thread starter macrumors regular

    Joined:
    Oct 21, 2008
    #5
    Ok I'll leave safari but I also have a very old version on Internet Explorer.
    Can I throw that out with out causing any problems...
    I already have Firefox and Opera, because My daughter and girlfriend ALL want thier own Browser so may be I can replace Internet Explorer with Camino 1.6.10 which is compatible with "Panther" If I can do this? Do I just go into my App's and drag I/E to the trash or is it more complicated than that.
     
  6. BlueRevolution macrumors 603

    BlueRevolution

    Joined:
    Jul 26, 2004
    Location:
    Montreal, QC
    #6
    It has been a long time since Microsoft made Internet Explorer for Mac, so I don't really know if that's all there is to it. I'm sure you couldn't find an uninstaller now for love or money. Just deleting the application file won't do any damage, anyway.

    As for the multiple browsers... sounds like you need to configure some new user accounts. You don't have to log out when changing accounts, and the process takes all of 10 seconds.
     
  7. Fishrrman macrumors G3

    Joined:
    Feb 20, 2009
    #7
    With OS 10.3.9, Safari 1.3.2 is "as far as you can go"...

    I have the same situation using Safari on a g4/MDD running 10.3.9. Here's what I did to help things along:
    1. Install "Pithhelmet". This will block out ads that often crash Safari 1.3.2. It won't help with EVERYthing, but it does help.
    2. Use Firefox for pages that won't work with Safari. I use FF version 1.5.x.

    Be aware that the big problem with 10.3.9 may not be Safari itself, but the versions of JAVA and Flash that go with it. For example, Safari 1.3.2 can't even access the Apple online store without problems! But FF won't work properly there, either, so I'm guessing the core of that problem is JAVA-based.

    Another course of action would be to upgrade to OS 10.4.11. Go to dig up the install DVDs, however. There are ways....

    - John
     
  8. Fishtalk thread starter macrumors regular

    Joined:
    Oct 21, 2008
    #8
    Thanks for the info... effectivly enough I would love to up grade to Tiger, it would solve a big problem I have with FlashPlayer 10... But I dont have enough HD space for a Archive and install only a clean install.... and that way I'd lose all my extra apps that came with the computer when my brother gave me his old one...also I'm not too sure about the quality of the DVD !!! Any bright idear's
     
  9. BlueRevolution macrumors 603

    BlueRevolution

    Joined:
    Jul 26, 2004
    Location:
    Montreal, QC
    #9
    Back up a few of your files before you do the A&I?
     

Share This Page